%define url http://download.sourceforge.net/tkcvs

Summary:	Tk interface for CVS
Name:		tkcvs
Version:	7.0
Release:	3mdk
License:	GPL
Group:		Development/Other

Source:		%{url}/%{name}-%{version}.tar.bz2
Source1: 	icons-%{name}.tar.bz2
Patch:		tkcvs-7.0-paths.patch.bz2

Url: 		http://www.twobarleycorns.net/tkcvs.html
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	tk cvs
BuildArch:	noarch
Epoch:		1

%description
tkCVS is a Tk based graphical interface to the CVS configuration
management system.  It includes facilities for providing "user
friendly" names to modules and directories within the repository, and
provides a facility to interactively browse the repository looking for
modules and directories.

%prep
%setup -q
%patch -p1 -b .paths

%install
rm -fr %buildroot

install -d %buildroot/%_bindir/
install -d %buildroot/%_datadir/tkcvs/bitmaps
install -d %buildroot/%_mandir/mann

install tkcvs/tkcvs.blank %buildroot/%_bindir/tkcvs
install tkcvs/*.tcl       %buildroot/%_datadir/tkcvs
install tkcvs/tclIndex    %buildroot/%_datadir/tkcvs
install bitmaps/*         %buildroot/%_datadir/tkcvs/bitmaps/
install tkdiff/tkdiff     %buildroot/%_bindir/tkdiff
install tkcvs/*.n         %buildroot/%_mandir/mann
rm -f %buildroot/%_mandir/tkcvs/tkcvs_def.tcl
install -d %buildroot/%_sysconfdir/cvs/
install tkcvs/tkcvs_def.tcl %buildroot/%_sysconfdir/cvs/

#README.tkcvs tkdiff/COPYING tkcvs/vendor.readme tkcvs/branchgen.sh
ln tkdiff/COPYING tkdiff.COPYING 

# Menu support
install -d %buildroot/%_menudir/ 
cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): needs=x11 icon="development_section.xpm" section="Applications/Development/Tools"  title=TkCVS longtitle="Graphical HMI for CVS" command=tkcvs
?package(%{name}): needs=x11 icon="development_section.xpm" section="Applications/Development/Tools"  title=TkDiff longtitle="Graphical HMI for diff" command=tkdiff
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.tkcvs tkdiff.COPYING tkcvs/vendor.readme README.windows
%attr(755,root,root) %_bindir/*
%{_datadir}/tkcvs/*.tcl
%{_datadir}/tkcvs/tclIndex
%_menudir/%{name}
%{_datadir}/tkcvs/bitmaps/*
%config(noreplace) %_sysconfdir/cvs/tkcvs_def.tcl
%attr(644,root,man) %_mandir/mann/*

%changelog
* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 7.0-3mdk
- Really use new icons
- Fix update/clean_menus

* Wed Aug 29 2001 David BAUDENS <baudens@mandrakesoft.com> 7.0-2mdk
- Use new icons

* Thu Jul 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 7.0-1mdk
- 7.0

* Mon Nov 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.4-2mdk
- added longtitles.

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.4-1mdk
- 6.4.

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 6.3-3mdk
- icons forever
- macroz..

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3-2mdk
- noreplace

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3-1mdk
- 6.3

* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3b3-1mdk
- 6.3b3

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.2b3-2mdk
- group fix.
- menu support.

* Tue Dec 28 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- change version
- Mandrake adaptations
- default cvsroot to /var/cvs

* Wed Dec 23 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release
